Subject: Re: syslog -> NT event logger mapping
From: Bruce Edge <[email-masked]>
To: [email-masked]
Date: Fri, 17 Nov 2000 16:42:33 -0800

How about using openlog() to determine how to handle this?
I'm not sure I can suggest which argument to openlog() could be used to
provide some sort of hint to cygwin as to how the app wanted to handle this
issue. 
Perhaps extend the openlog API to take a filename which would specify the
insertion string map file.
Of course this would involve a registry write on app startup to get the
message file name into the registry.

Incidentally, the LOG_CONS and LOG_PERROR don't seem to work.

-Bruce.

Corinna Vinschen wrote:
> 
> Robert Collins wrote:
> >
> > /speaking from ignorance
> >
> > what about the insertion strings? Can't cygwin just have a single message
> > file with a single message, that is nothing but an insertion string?
> 
> Yes, that's the way I was talking of.
> 
> > If it needs to be registered for each, well that could be a simple
> > register_syslog exefile.exe
> 
> The RegisterEventSource call currently uses the process_ident
> from `openlog' as identifier. This would have to be changed so
> that always "Cygwin" is the identifier and then there would be
> only one entry needed in the registry, the "Cygwin" subkey which
> points to the DLL which in turn contains the one and only (empty)
> message string. The process_ident would become a part of the
> comment string only.
> 
> > And yes I'd be willing to put some effort into making it happen.
> 
> I'm happy to read this :-))
> 
> BTW: I have just made a tiny change in syslog.cc. It now adds the
> user SID to the event log so that the name of the user is displayed
> instead of N/A (assuming `ntsec' is on).
> 
> Corinna
> 
> --
> Corinna Vinschen                  Please, send mails regarding Cygwin to
> Cygwin Developer                        mailto:[email-masked]
> Red Hat, Inc.
> mailto:[email-masked]
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
What this country needs is a good five cent ANYTHING!

--
Want to unsubscribe from this list?
Send a message to [email-masked]